Bug 22975 - Remove type attribute from script tags: Acquisitions
Summary: Remove type attribute from script tags: Acquisitions
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 22956
  Show dependency treegraph
 
Reported: 2019-05-23 13:46 UTC by Owen Leonard
Modified: 2019-05-30 10:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22975: Remove type attribute from script tags: Acquisitions (5.24 KB, patch)
2019-05-23 15:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22975: Remove type attribute from script tags: Acquisitions (5.32 KB, patch)
2019-05-23 23:08 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22975: Remove type attribute from script tags: Acquisitions (5.37 KB, patch)
2019-05-27 20:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-23 13:46:30 UTC
This patch will remove the obsolete "type" attribute from <script> tags in the following acquisitions templates:

 - intranet-tmpl\prog\en\modules\acqui\basketgroup.tt
 - intranet-tmpl\prog\en\modules\acqui\parcels.tt
 - intranet-tmpl\prog\en\modules\acqui\transferorder.tt
Comment 1 Owen Leonard 2019-05-23 15:38:41 UTC Comment hidden (obsolete)
Comment 2 Hayley Mapley 2019-05-23 23:08:32 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 20:49:54 UTC
Created attachment 90125 [details] [review]
Bug 22975: Remove type attribute from script tags: Acquisitions

This patch removes the "type" attribute from <script> tags in several
acquisitions templates. Also removed: Obsolete "//<![CDATA[ //]]>"
markers.

This patch also makes minor indentation changes, so diff using the "-w"
flag.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Acquisitions -> Vendors -> Vendor -> Basket groups
 - Acquisitions -> Vendors -> Vendor -> Receive shipments
 - Acquisitions -> Vendors -> Vendor -> Basket:
   In the table of orders, click "Transfer." Transfer an order

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-05-30 10:39:56 UTC
Awesome work all!

Pushed to master for 19.05